Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able
Interface AbleCustomizerPanel

All Known Implementing Classes:
  AbleBackPropagationPanel, AbleBeanWrapperCustomizer, AbleConversationManagerPanel, AbleDataSetPanel, AbleDBExportPanel, AbleDBImportPanel, AbleDecisionTreeClassifierAgentPanel, AbleDecisionTreePanel, AbleDecisionTreePanel, AbleExportPanel, AbleFileWatcherPanel, AbleFilterPanel, AbleGeneticSearchAgentPanel, AbleImportPanel, AbleJavaScriptAgentPanel, AbleKnnClassifierAgentPanel, AbleKnnPanel, AbleNaiveBayesClassifierAgentPanel, AbleNaiveBayesClassifierAgentPanel, AbleNaiveBayesPanel, AbleNaiveBayesPanel, AbleNeuralClassifierAgentPanel, AbleNeuralClusteringAgentPanel, AbleNeuralPredictionAgentPanel, AblePlatformDefaultAgentPanel, AblePlatformStartConversationPanel, AbleRadialBasisFunctionNetPanel, AbleRuleAgentPanel, AbleScriptAgentPanel, AbleSelfOrganizingMapClusterPanel, AbleSelfOrganizingMapPanel, AbleTemporalDifferenceLearningPanel, AbleTimeSeriesFilterPanel, AbleUserDefinedFunctionPanel, AutotuneAgentMetricPanel, AutotuneAgentPanel, AutotuneAgentTargetPanel, AutotuneRemotePanel, BaseAutotuneAdaptorMetricPanel, BaseAutotuneAdaptorTuningPanel, BaseAutotuneControllerMetricPanel, BasicNeuralAutotuneControllerPanel, Fuzzy2WayLoadBalanceControllerPanel, Neural2WayLoadBalanceControllerPanel, SimpleAbleAgentCustomizer.SimpleAbleAgentPanel, SimpleAbleBeanCustomizer

public interface AbleCustomizerPanel

This interface allows the AbleObjectCustomizer to find the appropriate help url for a given panel. Classes that implement it should extend a Component like JPanel.

Method Summary
`java.net.URL` | `getHelpContext()` Get the URL file context to be displayed.
`java.lang.String` | `getHelpFileName()` Get the html file name to be displayed.

Method Detail

### getHelpFileName

    public java.lang.String getHelpFileName()

  Get the html file name to be displayed.

  Returns:
    A String containing the html file to display in the browser.

### getHelpContext

    public java.net.URL getHelpContext()

  Get the URL file context to be displayed. Able.HomeUrl is the Able context.

  Returns:
    A URL containing the html file to display in the browser.
  See Also:
    `Able`

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005